Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class WorkingMemoryDbLogger

    java.lang.Object
      org.drools.audit.WorkingMemoryLogger
          org.jbpm.process.audit.WorkingMemoryDbLogger

All Implemented Interfaces:
  Externalizable, Serializable, EventListener, org.drools.event.AgendaEventListener, ProcessEventListener, org.drools.event.RuleBaseEventListener, org.drools.event.WorkingMemoryEventListener

Deprecated.

    @Deprecated
    public class WorkingMemoryDbLogger

extends org.drools.audit.WorkingMemoryLogger

This class has been deprecated in favor of `JPAWorkingMemoryDbLogger`. Please, please use that class instead of this.

See Also:
  Serialized Form

Constructor Summary
`WorkingMemoryDbLogger(KnowledgeRuntimeEventManager session)` Deprecated.
`WorkingMemoryDbLogger(org.drools.WorkingMemory workingMemory)` Deprecated.

Method Summary
`void` | `dispose()` Deprecated.
`void` | `logEventCreated(org.drools.audit.event.LogEvent logEvent)` Deprecated.

Methods inherited from class org.drools.audit.WorkingMemoryLogger
`activationCancelled, activationCreated, addFilter, afterActivationFired, afterFunctionRemoved, afterNodeLeft, afterNodeTriggered, afterPackageAdded, afterPackageRemoved, afterProcessAdded, afterProcessCompleted, afterProcessRemoved, afterProcessStarted, afterRuleAdded, afterRuleBaseLocked, afterRuleBaseUnlocked, afterRuleFlowGroupActivated, afterRuleFlowGroupDeactivated, afterRuleRemoved, afterVariableChanged, agendaGroupPopped, agendaGroupPushed, beforeActivationFired, beforeFunctionRemoved, beforeNodeLeft, beforeNodeTriggered, beforePackageAdded, beforePackageRemoved, beforeProcessAdded, beforeProcessCompleted, beforeProcessRemoved, beforeProcessStarted, beforeRuleAdded, beforeRuleBaseLocked, beforeRuleBaseUnlocked, beforeRuleFlowGroupActivated, beforeRuleFlowGroupDeactivated, beforeRuleRemoved, beforeVariableChanged, clearFilters, objectInserted, objectRetracted, objectUpdated, readExternal, removeFilter, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkingMemoryDbLogger

    public WorkingMemoryDbLogger(org.drools.WorkingMemory workingMemory)

  Deprecated.

### WorkingMemoryDbLogger

    public WorkingMemoryDbLogger(KnowledgeRuntimeEventManager session)

  Deprecated.

Method Detail

### logEventCreated

    public void logEventCreated(org.drools.audit.event.LogEvent logEvent)

  Deprecated.
  Specified by:
    `logEventCreated` in class `org.drools.audit.WorkingMemoryLogger`

### dispose

    public void dispose()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.